# Get input and context

Retrieves the contextCheck with the input and the generated context around it

Endpoint: GET /contextChecks/{id}
Security: clientCredentials, oAuth2Password

## Path parameters:

  - `id` (string, required)
    The ID of the contextCheck to retrieve.

## Response 200 fields (application/json):

  - `id` (string, required)
    The ID of the contextCheck

  - `created_at` (string, required)
    The datetime the contextCheck was created

  - `updated_at` (string, required)
    The datetime the contextCheck was last updated. Will just be the created date or completed date

  - `input` (string, required)
    The contextCheck to generate context for

  - `status` (string, required)
    Enum: "processing"

  - `context` (object, required)

  - `context.created_at` (string, required)
    The datetime the context was created

  - `context.summary` (string)
    The summarized analysis about the context returned in the response

  - `context.response` (string, required)
    The generated context about the contextCheck

  - `context.sources` (array, required)
    The sources used to generate the contextCheck

  - `context.sources.url` (string, required)
    The link to the source content

  - `context.sources.title` (string)
    The title of the page content of the source

  - `context.sources.content` (string)
    The entire textual page content of the source used

  - `context.sources.favicon` (string)
    An icon for the source

  - `context.enrichment` (object)
    Any hydration performed on the input while building the context

  - `context.enrichment.link` (string, required)
    The link that was hydrated

  - `context.enrichment.input_type` (any, required)

  - `context.enrichment.created_at` (string)
    The date-time the linked data was published to the internet

  - `context.enrichment.title` (string)
    A title for the hydrated content if there is one

  - `context.enrichment.text` (string)
    The full text of the hydrated content

  - `context.enrichment.lang` (string)
    The inferred language of the hydrated content, if determined

  - `context.enrichment.image` (string)
    The link to the image that was hydrated, if one was hydrated. May be the original link provided or an image linked from it

  - `context.enrichment.video` (string)
    The link to the video that was hydrated, if one was hydrated.  May be the original link provided or a url linked from it

  - `context.enrichment.authors` (array, required)
    The author(s) of the hydrated content

  - `context.enrichment.authors.name` (string, required)
    The author of the content.

  - `context.enrichment.authors.profile_image` (string)
    An image link for the author of the content

  - `context.enrichment.links` (array, required)
    Any links to more data from the original content that was hydrated

  - `context.enrichment.links.href` (string, required)
    The link to the extra data

  - `context.enrichment.links.text` (string)
    Textual representation of what is at the link

  - `context.label` (string)
    Classication label of compass risk. Label can be ['Safe', 'Caution', 'Warning']

  - `error` (string, required)
    Example: There was an error processing your contextCheck.

